I accidently updated to 3.1 instead of just the carrier update!

Discussion in 'Jailbreaks and iOS Hacks' started by fallspyder, Sep 25, 2009.

  1. fallspyder macrumors newbie

    Joined:
    Jun 19, 2009
    #1
    I didn't understand that the carrier update and the 3.1 update were separate updates. I HAD a JB 3.0.1 a minute ago. Now I have an unJB 3.1 phone with no MMS because I had a carrier logo package that I cannot uninstall now. So I'm unJB and don't even have MMS anyway. Am I going to have to restore my phone now? I am SOO stupid I know, I REALLY jumped the gun on this one.
     
  2. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #2
    Yea, the SOO comment is appropriate.

    Well, I hope you don't need to unlock your phone because now that you updated to 3.1 your phone cannot be unlocked.

    You don't say what version of phone you have. If it's a 3GS, you cannot downgrade until the 3.1 JB tools are released.

    If it's any other model, you can downgrade the firmware and JB but not unlock.

    Use Google to get a tutorial

    And, next time, do some reading before updating your iPhone.

    Google will always find what you need.
     
  3. jav6454 macrumors P6

    jav6454

    Joined:
    Nov 14, 2007
    Location:
    1 Geostationary Tower Plaza
    #3
    Well, since it seems you only care about the jaibreak. My suggestion is to Restore and set-up your iPhone as new. That way anything done by Cydia will be deleted and you can put in the carrier file and finally have MMS.
     
  4. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #4
    This is a good fix for you if you want MMS more than JB
     
  5. jav6454 macrumors P6

    jav6454

    Joined:
    Nov 14, 2007
    Location:
    1 Geostationary Tower Plaza
    #5
    Better than the solution you gave him. A jailbreak for 3.1 in the 3GS will happen, so no worries there.
     
  6. fallspyder thread starter macrumors newbie

    Joined:
    Jun 19, 2009
    #6
    I DO have a 3GS but don't need it unlocked. I'd much rather the JB than MMS but if that's not possible then I guess I'll be restoring now. How completely depressing :( Well I'll have learned my lesson until 3.1 JB comes out though.
     
  7. Ex-05 macrumors newbie

    Joined:
    Sep 27, 2009
    #7
    Can I ask I noob question?

    I have a 2G that I just upgraded to 3.0. I need to get the carrier file so I can use the ActivateMMS2G app.

    How can I update just the carrier info without having to upgrade in to 3.1?

    Phone is unlocked & JB and needs to stay that way.

    Thanks a lot!
     
  8. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #8
    Use Goggle as there are loads of tutorials available.
     
  9. rjohnstone macrumors 68040

    rjohnstone

    Joined:
    Dec 28, 2007
    Location:
    PHX, AZ.
    #9
    I hear Google is pretty good for finding this info too.

    I kid I kid...:p
     
  10. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #10
    Good catch ! [​IMG]
     
  11. Mystikal macrumors 68020

    Mystikal

    Joined:
    Oct 4, 2007
    Location:
    Irvine, CA
    #11
    Normally I would laugh, but since you said youre stupid and jumped the gun...thats nice.

    You can still have MMS and jailbreak.
     
  12. livingforhim587 macrumors newbie

    Joined:
    Sep 7, 2009
    #12
    I have 3.1 on a 3G and I want to jailbreak it too. When I try to downgrade it to 3.0.1 once it's complete itunes say "The Iphone Could not be restored. An unknown error occurred(1015)" What do I do? Help thanks!~
     
  13. FSUSem1noles macrumors 68000

    FSUSem1noles

    Joined:
    Feb 23, 2006
    Location:
    Ft. Lauderdale
    #13
    You don't have to downgrade a 3G from 3.1 to 3.0, because there is already a jailbreak out for 3.1 on 3G.

    The only reason to downgrade 3.1 to 3.0 is if you're running with a 3GS
     
  14. sb11710 macrumors newbie

    Joined:
    Jun 26, 2003
  15. Moi un Mouton macrumors 68000

    Joined:
    Mar 18, 2008
    Location:
    Bracknell UK
    #15
    I think I read that the 1015 error at the end doesn't matter and that your phone downgrade has actually happened. (I'm sure someone will correct me if I'm wrong)

    Have you checked to see if you are now on 3.0.1?
     
  16. -aggie- macrumors P6

    -aggie-

    Joined:
    Jun 19, 2009
    Location:
    Where bunnies are welcome.
    #16
    Nope, not true. He either has to use Quickpwn (for Windows) or iRecover (Mac or Windows).
     
  17. STEVESKI07 macrumors 68000

    STEVESKI07

    Joined:
    Jan 6, 2009
    Location:
    Washington, DC
    #17
    You get this error the first time you restore back to 3.0 or 3.0.1. Then you go through the restore again and MAY get the same error message again, but this time it has completed the downgrade and you're all set!
     
  18. Moi un Mouton macrumors 68000

    Joined:
    Mar 18, 2008
    Location:
    Bracknell UK
    #18
    Are you sure you need the carrier update?

    When I installed the ActivateMMS2G app, I installed a mobileconfig from help.benm.at and entered the settings in there. That got my MMS working fine.

    Check out help.benm.at from your iPhone.
     

Share This Page